cross
Foswiki General Assembly will be held on 12th December 2019, 1200 UTC on Freenode IRC channel #foswiki-association. See AgendaTenthGeneralAssembly
This question about Issue in browser: Asked

New User Frustrations

-- TomNunya - 01 Jun 2019

 

When I was looking for something to replace my personal MediaWiki KB, I liked that foswiki was easier to install. Unfortunately, it is too fragile for my use. I made the mistake of installing several plugins, and now my installation is broken - it won't save any pages, nor render any content.

Here are some of the errors/problems I've encountered:

  1. Undefined subroutine &Foswiki::Plugins::JQueryPlugin::registerPlugin called at /var/www/html/wiki/lib/Foswiki/Plugins/ConfigurePlugin.pm line 78
  2. TinyMCEPlugin is enabled but JQueryPlugin is not. Both must be installed and enabled for TinyMCE
  3. Undefined subroutine &Foswiki::Plugins::JQueryPlugin::registerPlugin called at /var/www/html/wiki/lib/Foswiki/Plugins/TwistyPlugin.pm line 45
  4. Googling suggested problems with CommentPlugin, so I tried to remove it. That just left me with another error: warning | Foswiki::Plugins::CommentPlugin could not be loaded. Errors were: Can't locate Foswiki/Plugins/CommentPlugin.pm in @INC
  5. I even found a post on your site that suggested uninstalling the JQueryPlugin, which I now know is the heart of your plugin system. Boy, did that generate a lot of problems.
  6. The latest error stops me from saving any/every wiki page: ERROR: (403) Invalid validation code

Here are some suggestions:

  1. Fix your plugin system. Plugins that are critical to running the wiki should not be uninstallable.
  2. Fix your plugin system. Dependencies and conflict-handling should be automatic.
  3. I liked that previous versions of LocalSite.cfg get auto-saved, but more than 10 versions should be saved. In an hour of troubleshooting, all 10 versions were replaced, and I can't go back to a working version.
  4. The WYSIWYG editor was really frustrating. Selecting a line of text, and then selecting a heading, bold, verbatim, etc., and it would select 10 lines because the GUI expects a blank line both above and below. I ended up editing the markup manually.
  5. Your horizontal ruler is so thin and light in color that it's useless. Perhaps each additional dash could select a thicker/darker ruler (---- would be darker than ---, ----- would be even darker/thicker, etc)
  6. I just now noticed that the toolbar has more buttons. Can't you recognize the size of the screen and adjust the toolbar?
  7. The editors (both GUI and markup) also do not recognize the size of the screen (or they're just too big), causing the toolbar to disappear at the top of the screen.

Time to look for another wiki that can be installed locally.

My system:

$ lsb_release -irc
Distributor ID: Ubuntu
Release: 19.04
Codename: disco

$ apache2 -v
Server version: Apache/2.4.38 (Ubuntu)
Server built: 2019-04-03T18:31:46

$ php -v
PHP 7.2.17-0ubuntu0.19.04.1 (cli) (built: Apr 18 2019 18:01:25) ( NTS )

$ sudo cpanm JSON
JSON is up to date. (4.02)

QuestionForm edit

Subject Issue in browser
Extension NatEditPlugin
Version Foswiki 2.1.6
Status Asked
Related Topics
Topic revision: r1 - 01 Jun 2019, TomNunya - This page was cached on 05 Dec 2019 - 16:48.

The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. See Copyright Statement. Creative Commons License    Legal Imprint    Privacy Policy